Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07382 Debugger Critical (emulator) Always Jul 29, 2019, 19:40 Aug 2, 2019, 19:14
Tester kazblox View Status Public Platform MAME (Official Binary)
Assigned To hap Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver
Version 0.211 Fixed in Version 0.213 Build 64-bit
Summary 07382: Hang and memory leak using save
Description Might be an issue on other architectures as well.
Steps To Reproduce 1. [executable (e.g. mame64 if on 64-bit)] rdftu -d
2. save [filename],0xFFE00000,0x200000,0
3. The debugger, and thus MAME, will hang in an infinite loop as the length parameter is ignored, resulting in the address to copy being incremented infinitely. Out of bounds addresses are thus erroneously saved to [filename] (force quit MAME for this).
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.16707
hap
Developer
Jul 30, 2019, 12:50
edited on: Jul 30, 2019, 12:54
Looks like it doesn't cope with 32bit overflow. Will it completely fill your harddisk if you don't force quit MAME? That would be bad.
Try again with https://github.com/mamedev/mame/commit/cc52efc0958102124bfb965e5ba493153847f469